Page MenuHomePhabricator

MassMessage is being affected by autoblocks on 127.0.0.1
Closed, ResolvedPublic

Description

As reported at https://meta.wikimedia.org/w/index.php?title=Talk:MassMessage&oldid=6671296#not_working_in_ru.wiki, MassMessage appears to be broken (possibly blocked?) at ruwiki.

I don't see any relevant block log entries... perhaps AbuseFilter interference? Not sure.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=58258

Details

Reference
bz58237

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:36 AM
bzimport added a project: MassMessage.
bzimport set Reference to bz58237.
bzimport added a subscriber: Unknown Object (MLST).
MZMcBride created this task.Dec 9 2013, 8:58 PM

(In reply to comment #1)

Wow, great catch!

I'm curious whether any change should be made in MassMessage. Or perhaps we should simply update the documentation (e.g., [[m:MassMessage]] && [[mw:Help:Extension:MassMessage]]) to note that blocking localhost will cause this issue and then mark this bug as resolved/invalid.

Thoughts?

(In reply to comment #2)

(In reply to comment #1)
Wow, great catch!
I'm curious whether any change should be made in MassMessage.

We could potentially make the account ipblock-exempt regardless of the wiki's settings (enwiki gives ipblock-exempt to the bot group, ruwiki doesn't)

Or perhaps we
should simply update the documentation (e.g., [[m:MassMessage]] &&
[[mw:Help:Extension:MassMessage]]) to note that blocking localhost will cause
this issue and then mark this bug as resolved/invalid.

That would also work. Wikis really shouldn't be blocking 127.0.0.1 FWIW, it's just going to cause weird problems like this one.

I've unblocked IP, let's see if it helps.

https://ru.wikipedia.org/wiki/%D0%A1%D0%BB%D1%83%D0%B6%D0%B5%D0%B1%D0%BD%D0%B0%D1%8F:%D0%92%D0%BA%D0%BB%D0%B0%D0%B4/MediaWiki_message_delivery

Seems fixed. :-)

(In reply to comment #3)

Wikis really shouldn't be blocking 127.0.0.1 FWIW, it's just going to cause
weird problems like this one.

I filed bug 58258 to track this.

Closed it as resolved then. :)

Just saw this on Wikidata (and about 5 more related log entries):

07:29, 5 May 2014 Delivery of "Tech News: 2014-19" to User talk:Eekiv failed with an error code of autoblocked

This is probably masking an issue in MediaWiki (I don't see anything that could have autoblocked 127.0.0.1 on wikidata...), but I don't think we should have deliveries fail because of this. If an admins goal is to block the bot, they can just block the account directly.

We could potentially make the account ipblock-exempt regardless of the
wiki's settings (enwiki gives ipblock-exempt to the bot group, ruwiki
doesn't)

I think this is the best thing to do for now.

saper added a comment.May 9 2014, 9:59 AM

(In reply to Kunal Mehta (Legoktm) from comment #7)

Just saw this on Wikidata (and about 5 more related log entries):
07:29, 5 May 2014 Delivery of "Tech News: 2014-19" to User talk:Eekiv
failed with an error code of autoblocked
This is probably masking an issue in MediaWiki (I don't see anything that
could have autoblocked 127.0.0.1 on wikidata...), but I don't think we
should have deliveries fail because of this. If an admins goal is to block
the bot, they can just block the account directly.

I wonder if it is not caused by yet another example of deferred update, something like bug 57815 ?

Change 132511 had a related patch set uploaded by Legoktm:
Give messenger user the 'ipblock-exempt' right

https://gerrit.wikimedia.org/r/132511

(In reply to Marcin Cieślak from comment #8)

I wonder if it is not caused by yet another example of deferred update,
something like bug 57815 ?

That would make perfect sense.

Change 132511 merged by jenkins-bot:
Give messenger user the 'ipblock-exempt' right

https://gerrit.wikimedia.org/r/132511